/**
 * @file   jobs.h
 * @author Jade Cheng
 * @date   September 28, 2009
 */

#ifndef __JOBS_H__
#define __JOBS_H__

#include <stdlib.h>

/**
 * Adds a job to the job list.
 *
 * @param pid The process id.
 *
 * @return EXIT_SUCCESS or EXIT_FAILURE.
 */
extern int jobs_add(pid_t pid);

/**
 * Kills and removes a job from the job list.
 *
 * @param job_index The job index (lower bound is one).
 */
extern void jobs_kill(size_t job_index);

/**
 * Removes all defunct jobs from the job list.
 */
extern void jobs_flush(void);

/**
 * Moves a job from the job list into the foreground.
 *
 * @param job_index The job index (lower bound is one).
 */
extern void jobs_fg(size_t job_index);

/**
 * Prints a list of all jobs in the job list.
 */
extern void jobs_print(void);

#endif /* __JOBS_H__*/
